#include <stdio.h>
#include <stdlib.h>

typedef struct slog
    {
        long int ind;
        long int br;
    } polje;

int main()
    {
        long int N, K, i, j, pom, glob=0;
        scanf("%ld %ld", &N, &K);
        polje a[N*2+1];
        for (i=N; i>=-N; i--)
            {
                a[-(i-N)].ind=-i;
                a[-(i-N)].br=0;
            }
        for (j=0; j<N; j++)
            {
                scanf("%ld", &pom);
                for (i=0; i<N*2+1; i++)
                    {
                        if (pom==a[i].ind)
                            {
                                a[i].br++;
                                if (a[i].br==2) glob++;
                            }
                    }
            }
        if (glob>1)
            {
                printf("%ld\n", glob);
                for (i=0; i<N*2+1; i++)
                    {
                        if (a[i].br>1) printf("%ld ", a[i].ind);
                    }
            }
    }